Package org.pushingpixels.flamingo.internal.ui.bcb

# Class BasicBreadcrumbBarUI.BreadcrumbBarLayout

java.lang.Object
org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI.BreadcrumbBarLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `BasicBreadcrumbBarUI`

protected class BasicBreadcrumbBarUI.BreadcrumbBarLayout extends Object implements LayoutManager
Layout for the breadcrumb bar.

## Constructor Summary

Constructors
Constructor
Description
`BreadcrumbBarLayout()`
Creates new layout manager.

## Method Summary

Modifier and Type
Method
Description
`void`
`addLayoutComponent(String name, Component c)`
`void`
`layoutContainer(Container c)`
`Dimension`
`minimumLayoutSize(Container c)`
`Dimension`
`preferredLayoutSize(Container c)`
`void`
`removeLayoutComponent(Component c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BreadcrumbBarLayout

public BreadcrumbBarLayout()
Creates new layout manager.

## Method Details

### addLayoutComponent

public void addLayoutComponent(String name, Component c)

Specified by:
  `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

public void removeLayoutComponent(Component c)

Specified by:
  `removeLayoutComponent` in interface `LayoutManager`

### preferredLayoutSize

public Dimension preferredLayoutSize(Container c)

Specified by:
  `preferredLayoutSize` in interface `LayoutManager`

### minimumLayoutSize

public Dimension minimumLayoutSize(Container c)

Specified by:
  `minimumLayoutSize` in interface `LayoutManager`

### layoutContainer

public void layoutContainer(Container c)

Specified by:
  `layoutContainer` in interface `LayoutManager`